Retrieve documents for a specified connection. Results are paginated (100 per page). Filter by date types: ‘UPDATED_DATE’, ‘CREATED_DATE’, ‘BILL_DATE’ (default), or ‘USAGE_PERIOD’. Date filters return overlapping data; ‘CREATED_DATE’ and ‘UPDATED_DATE’ use UTC and are truncated to day start. Filter by ‘isDeleted’ to include/exclude soft-deleted documents. User must have connection access to view documents.
GET
/
document
/
connection
/
{connection_id}
Get Documents by Connection
curl --request GET \
--url https://external.nectarclimate.com/v2.1/document/connection/{connection_id} \
--header 'X-API-KEY: <api-key>'
('Optional. List of datasource types to filter by. If not provided, includes all types. Must be a sublist of "ELECTRICITY", "GAS", "WATER", "SEWER", "DISTRICT", "WASTE", "FUEL", "MISC", "REFRIGERANT", "SOLAR", "TELECOM"',)
Filter by date field: 'UPDATED_DATE' (last update date), 'CREATED_DATE' (creation date), 'BILL_DATE' (default, bill date on the document), or 'USAGE_PERIOD' (usage period start and end dates). Each date parameter is applied independently if provided. For 'CREATED_DATE' and 'UPDATED_DATE', dates are truncated to start of day (00:00:00). Example: for data after January 1, 2024, use startDate=2024-01-01; for data before January 31, 2024, use endDate=2024-01-31.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Nectar Knowledge Base","colors":{"primary":"#092A54","light":"#3B82F6","dark":"#092A54"},"logo":{"light":"https://mintcdn.com/nectar/XTv6xdiQoWsCyg3G/logo/light.svg?fit=max\u0026auto=format\u0026n=XTv6xdiQoWsCyg3G\u0026q=85\u0026s=8b28e329f1aad1d1fbf3022d179cd34e","dark":"https://mintcdn.com/nectar/XTv6xdiQoWsCyg3G/logo/dark.svg?fit=max\u0026auto=format\u0026n=XTv6xdiQoWsCyg3G\u0026q=85\u0026s=12755083e4efe9b6e55b2f5bd4a71673"},"favicon":"https://mintcdn.com/nectar/XTv6xdiQoWsCyg3G/favicon.svg?fit=max\u0026auto=format\u0026n=XTv6xdiQoWsCyg3G\u0026q=85\u0026s=0442a8655f01c969dbb6dfb7a187d797","navbar":{"links":[{"href":"mailto:support@nectarclimate.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://dash.nectarclimate.com"}},"footer":{"socials":{"linkedin":"https://linkedin.com/company/nectarclimate"}},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Dashboard","icon":"gauge","href":"https://dash.nectarclimate.com"},{"anchor":"Support","icon":"envelope","href":"mailto:support@nectarclimate.com"},{"anchor":"Status","icon":"signal","href":"https://stats.uptimerobot.com/rICwZ0oMLI"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"nectar","hasAudioNarration":false,"actualSubdomain":"nectar","customDomains":["nectarclimate.com"],"gitSource":{"type":"github","owner":"project-pairly","repo":"nectar","deployBranch":"production","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad6d384536dd68dd9ccfac8","collectionId":"ff45001c-a2bb-4acf-a3b6-e7a83bf9339a","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad6d384536dd68dd9ccfac8"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6adff6624c95040b1f492aac","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"API Reference","count":191},{"language":"default","tag":"Knowledge Base","count":153},{"language":"default","tag":"Data Input","count":58},{"language":"default","tag":"Utility-Specific MFA Guides","count":44},{"language":"default","tag":"Connections","count":27},{"language":"default","tag":"Usage Data","count":24},{"language":"default","tag":"Webhook Payloads","count":24},{"language":"default","tag":"Developer Guide","count":18},{"language":"default","tag":"Sites","count":18},{"language":"default","tag":"Meters","count":18}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v2-1/documents/get-documents-by-connection","slug":"/api-reference/v2-1/documents/get-documents-by-connection","pageMetadata":{"title":"Get Documents by Connection","description":"Retrieve documents for a specified connection. Results are paginated (100 per page). Filter by date types: 'UPDATED_DATE', 'CREATED_DATE', 'BILL_DATE' (default), or 'USAGE_PERIOD'. Date filters return overlapping data; 'CREATED_DATE' and 'UPDATED_DATE' use UTC and are truncated to day start. Filter by 'isDeleted' to include/exclude soft-deleted documents. User must have connection access to view documents.","deprecated":null,"version":null,"openapi":"/api-reference/openapi-v2-1.json get /document/connection/{connection_id}","href":"/api-reference/v2-1/documents/get-documents-by-connection","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve documents for a specified connection. Results are paginated (100 per page). Filter by date types: ‘UPDATED_DATE’, ‘CREATED_DATE’, ‘BILL_DATE’ (default), or ‘USAGE_PERIOD’. Date filters return overlapping data; ‘CREATED_DATE’ and ‘UPDATED_DATE’ use UTC and are truncated to day start. Filter by ‘isDeleted’ to include/exclude soft-deleted documents. User must have connection access to view documents.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Documents by Connection","description":"Retrieve documents for a specified connection. Results are paginated (100 per page). Filter by date types: 'UPDATED_DATE', 'CREATED_DATE', 'BILL_DATE' (default), or 'USAGE_PERIOD'. Date filters return overlapping data; 'CREATED_DATE' and 'UPDATED_DATE' use UTC and are truncated to day start. Filter by 'isDeleted' to include/exclude soft-deleted documents. User must have connection access to view documents.","deprecated":null,"version":null,"openapi":"/api-reference/openapi-v2-1.json get /document/connection/{connection_id}","href":"/api-reference/v2-1/documents/get-documents-by-connection","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"document_connection_retrieve","description":"Retrieve documents for a specified connection. Results are paginated (100 per page). Filter by date types: 'UPDATED_DATE', 'CREATED_DATE', 'BILL_DATE' (default), or 'USAGE_PERIOD'. Date filters return overlapping data; 'CREATED_DATE' and 'UPDATED_DATE' use UTC and are truncated to day start. Filter by 'isDeleted' to include/exclude soft-deleted documents. User must have connection access to view documents.","summary":"Get Documents by Connection","parameters":["8e42d7f6-65a2-4d60-a905-8e94efba2587","abac6597-a4cd-425d-8395-c34ca3c08561","02458f1a-9f8e-463f-84a0-1e6caf688c79","ef936f7e-7390-4561-a2fb-266cf78f3769","7ab839dd-9fb6-4121-8482-9c7219a6beb4","ad4300cc-0012-4fed-b2e7-fba040d9bf39","77c5d96c-6ffd-4dfa-9b46-0bb2957d9869","b920df6d-f038-4372-af2c-4246b8e29ea2"],"tags":["Documents"],"security":["76dd2fa3-81f8-4da3-8549-14c92b430b53"],"responses":{"200":"659b9adf-ebdc-47cc-afab-92bc6ece782d","403":"7eef51d7-1993-4993-bde0-d69d830585f0","404":"4cbb0328-ef1d-4218-a5ac-29c8cb1e3b19"},"method":"get","type":"path","servers":["3c784457-d287-45bf-a196-1d18b2b71648"],"path":"/document/connection/{connection_id}","baseUrlOptions":["https://external.nectarclimate.com/v2.1"],"title":"Get Documents by Connection","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"8e42d7f6-65a2-4d60-a905-8e94efba2587":{"in":"path","name":"connection_id","schema":{"type":"string","format":"uuid","isRequired":true,"description":"ID of the connection for which to retrieve documents.","uniqueKey":"","typeLabel":"string\u003cuuid>"},"description":"ID of the connection for which to retrieve documents.","required":true},"abac6597-a4cd-425d-8395-c34ca3c08561":{"in":"query","name":"datasourceType","schema":{"type":"array","items":{"enum":["ELECTRICITY","GAS","WATER","SEWER","DISTRICT","WASTE","FUEL","MISC","REFRIGERANT","SOLAR","TELECOM"],"type":"string","description":"* `ELECTRICITY` - Electricity\n* `GAS` - Gas\n* `WATER` - Water\n* `SEWER` - Sewer\n* `DISTRICT` - District\n* `WASTE` - Waste\n* `FUEL` - Fuel\n* `MISC` - Misc\n* `REFRIGERANT` - Refrigerant\n* `SOLAR` - Solar\n* `TELECOM` - Telecom","uniqueKey":"items.[INDEX]","typeLabel":"enum\u003cstring>"},"default":["GAS","DISTRICT","REFRIGERANT","TELECOM","ELECTRICITY","WASTE","SOLAR","MISC","FUEL","WATER","SEWER"],"description":"('Optional. List of datasource types to filter by. If not provided, includes all types. Must be a sublist of `\"ELECTRICITY\"`, `\"GAS\"`, `\"WATER\"`, `\"SEWER\"`, `\"DISTRICT\"`, `\"WASTE\"`, `\"FUEL\"`, `\"MISC\"`, `\"REFRIGERANT\"`, `\"SOLAR\"`, `\"TELECOM\"`',)","uniqueKey":"","typeLabel":"enum\u003cstring>[]"},"description":"('Optional. List of datasource types to filter by. If not provided, includes all types. Must be a sublist of `\"ELECTRICITY\"`, `\"GAS\"`, `\"WATER\"`, `\"SEWER\"`, `\"DISTRICT\"`, `\"WASTE\"`, `\"FUEL\"`, `\"MISC\"`, `\"REFRIGERANT\"`, `\"SOLAR\"`, `\"TELECOM\"`',)"},"02458f1a-9f8e-463f-84a0-1e6caf688c79":{"in":"query","name":"dateType","schema":{"enum":["USAGE_PERIOD","BILL_DATE","CREATED_DATE","UPDATED_DATE"],"type":"string","default":"BILL_DATE","minLength":1,"description":"Filter by date field: 'UPDATED_DATE' (last update date), 'CREATED_DATE' (creation date), 'BILL_DATE' (default, bill date on the document), or 'USAGE_PERIOD' (usage period start and end dates). Each date parameter is applied independently if provided. For 'CREATED_DATE' and 'UPDATED_DATE', dates are truncated to start of day (00:00:00). Example: for data after January 1, 2024, use startDate=2024-01-01; for data before January 31, 2024, use endDate=2024-01-31.\n\n* `USAGE_PERIOD` - Usage Period\n* `BILL_DATE` - Bill Date\n* `CREATED_DATE` - Created Date\n* `UPDATED_DATE` - Updated Date","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Filter by date field: 'UPDATED_DATE' (last update date), 'CREATED_DATE' (creation date), 'BILL_DATE' (default, bill date on the document), or 'USAGE_PERIOD' (usage period start and end dates). Each date parameter is applied independently if provided. For 'CREATED_DATE' and 'UPDATED_DATE', dates are truncated to start of day (00:00:00). Example: for data after January 1, 2024, use startDate=2024-01-01; for data before January 31, 2024, use endDate=2024-01-31.\n\n* `USAGE_PERIOD` - Usage Period\n* `BILL_DATE` - Bill Date\n* `CREATED_DATE` - Created Date\n* `UPDATED_DATE` - Updated Date"},"ef936f7e-7390-4561-a2fb-266cf78f3769":{"in":"query","name":"endDate","schema":{"type":"string","format":"date","description":"Optional end date for the usage data in YYYY-MM-DD format (inclusive). If provided, filters for data on or before this date.","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Optional end date for the usage data in YYYY-MM-DD format (inclusive). If provided, filters for data on or before this date."},"7ab839dd-9fb6-4121-8482-9c7219a6beb4":{"in":"query","name":"identifier","schema":{"type":"string","minLength":1,"default":"","description":"Filter meters by identifier value. Searches across all identifiers.","uniqueKey":"","typeLabel":"string"},"description":"Filter meters by identifier value. Searches across all identifiers."},"ad4300cc-0012-4fed-b2e7-fba040d9bf39":{"in":"query","name":"isDeleted","schema":{"type":"boolean","default":false,"description":"Filter by deleted status.","uniqueKey":"","typeLabel":"boolean"},"description":"Filter by deleted status."},"77c5d96c-6ffd-4dfa-9b46-0bb2957d9869":{"in":"query","name":"page","schema":{"type":"integer","default":1,"description":"Page number for paginated results. Default is 1.","uniqueKey":"","typeLabel":"integer"},"description":"Page number for paginated results. Default is 1."},"b920df6d-f038-4372-af2c-4246b8e29ea2":{"in":"query","name":"startDate","schema":{"type":"string","format":"date","description":"Optional start date for the usage data in YYYY-MM-DD format (inclusive). If provided, filters for data on or after this date.","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Optional start date for the usage data in YYYY-MM-DD format (inclusive). If provided, filters for data on or after this date."}},"responses":{"659b9adf-ebdc-47cc-afab-92bc6ece782d":{"content":{"application/json":{"schema":{"type":"object","description":"Serializer for document response.","properties":{"totalDocuments":{"type":"integer","description":"Total number of documents.","isRequired":true,"uniqueKey":"totalDocuments","typeLabel":"integer"},"perPage":{"type":"integer","description":"Number of entries per page.","isRequired":true,"uniqueKey":"perPage","typeLabel":"integer"},"totalPages":{"type":"integer","description":"Total number of pages.","isRequired":true,"uniqueKey":"totalPages","typeLabel":"integer"},"currentPage":{"type":"integer","description":"Current page number.","isRequired":true,"uniqueKey":"currentPage","typeLabel":"integer"},"hasNext":{"type":"boolean","description":"Indicates if there is a next page.","isRequired":true,"uniqueKey":"hasNext","typeLabel":"boolean"},"hasPrevious":{"type":"boolean","description":"Indicates if there is a previous page.","isRequired":true,"uniqueKey":"hasPrevious","typeLabel":"boolean"},"documents":{"type":"array","items":{"type":"object","description":"Document returned by the v2.1 API.\n\nIncludes usage data with enhanced electrical fields, charges, and billing metadata.","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the document.","isRequired":true,"uniqueKey":"documents.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"created":{"type":"string","format":"date-time","description":"Timestamp when the document was created.","isRequired":true,"uniqueKey":"documents.items.[INDEX].created","typeLabel":"string\u003cdate-time>"},"auditTrailUrl":{"type":"string","description":"URL to view the audit trail of the document on Nectar's platform. Includes side-by-side view of Nectar's parsed data vs. the original raw document and the edit history.","isRequired":true,"uniqueKey":"documents.items.[INDEX].auditTrailUrl","typeLabel":"string"},"url":{"oneOf":[{"type":"string","description":"Presigned URL for accessing the document stored in S3. URL expires in 1 day.","isRequired":true,"uniqueKey":"documents.items.[INDEX].url.oneOf.0","typeLabel":"string"},{"type":"null","description":"Presigned URL for accessing the document stored in S3. URL expires in 1 day.","isRequired":true,"uniqueKey":"documents.items.[INDEX].url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].url","typeLabel":"string | null"},"billDate":{"type":"string","format":"date","description":"Date of the bill.","isRequired":true,"uniqueKey":"documents.items.[INDEX].billDate","typeLabel":"string\u003cdate>"},"chargesUnits":{"type":"string","description":"Currency unit for the charges and balances.\n\n* `USD` - Usd\n* `EUR` - Eur\n* `AED` - Aed\n* `AFN` - Afn\n* `ALL` - All\n* `AMD` - Amd\n* `ANG` - Ang\n* `AOA` - Aoa\n* `ARS` - Ars\n* `AUD` - Aud\n* `AWG` - Awg\n* `AZN` - Azn\n* `BAM` - Bam\n* `BBD` - Bbd\n* `BDT` - Bdt\n* `BGN` - Bgn\n* `BHD` - Bhd\n* `BIF` - Bif\n* `BMD` - Bmd\n* `BND` - Bnd\n* `BOB` - Bob\n* `BOV` - Bov\n* `BRL` - Brl\n* `BSD` - Bsd\n* `BTN` - Btn\n* `BWP` - Bwp\n* `BYN` - Byn\n* `BZD` - Bzd\n* `CAD` - Cad\n* `CDF` - Cdf\n* `CHE` - Che\n* `CHF` - Chf\n* `CHW` - Chw\n* `CLF` - Clf\n* `CLP` - Clp\n* `CNY` - Cny\n* `COP` - Cop\n* `COU` - Cou\n* `CRC` - Crc\n* `CUC` - Cuc\n* `CUP` - Cup\n* `CVE` - Cve\n* `CZK` - Czk\n* `DJF` - Djf\n* `DKK` - Dkk\n* `DOP` - Dop\n* `DZD` - Dzd\n* `EGP` - Egp\n* `ERN` - Ern\n* `ETB` - Etb\n* `FJD` - Fjd\n* `FKP` - Fkp\n* `GBP` - Gbp\n* `GEL` - Gel\n* `GHS` - Ghs\n* `GIP` - Gip\n* `GMD` - Gmd\n* `GNF` - Gnf\n* `GTQ` - Gtq\n* `GYD` - Gyd\n* `HKD` - Hkd\n* `HNL` - Hnl\n* `HRK` - Hrk\n* `HTG` - Htg\n* `HUF` - Huf\n* `IDR` - Idr\n* `ILS` - Ils\n* `INR` - Inr\n* `IQD` - Iqd\n* `IRR` - Irr\n* `ISK` - Isk\n* `JMD` - Jmd\n* `JOD` - Jod\n* `JPY` - Jpy\n* `KES` - Kes\n* `KGS` - Kgs\n* `KHR` - Khr\n* `KMF` - Kmf\n* `KPW` - Kpw\n* `KRW` - Krw\n* `KWD` - Kwd\n* `KYD` - Kyd\n* `KZT` - Kzt\n* `LAK` - Lak\n* `LBP` - Lbp\n* `LKR` - Lkr\n* `LRD` - Lrd\n* `LSL` - Lsl\n* `LYD` - Lyd\n* `MAD` - Mad\n* `MDL` - Mdl\n* `MGA` - Mga\n* `MKD` - Mkd\n* `MMK` - Mmk\n* `MNT` - Mnt\n* `MOP` - Mop\n* `MRU` - Mru\n* `MUR` - Mur\n* `MVR` - Mvr\n* `MWK` - Mwk\n* `MXN` - Mxn\n* `MXV` - Mxv\n* `MYR` - Myr\n* `MZN` - Mzn\n* `NAD` - Nad\n* `NGN` - Ngn\n* `NIO` - Nio\n* `NOK` - Nok\n* `NPR` - Npr\n* `NZD` - Nzd\n* `OMR` - Omr\n* `PAB` - Pab\n* `PEN` - Pen\n* `PGK` - Pgk\n* `PHP` - Php\n* `PKR` - Pkr\n* `PLN` - Pln\n* `PYG` - Pyg\n* `QAR` - Qar\n* `RON` - Ron\n* `RSD` - Rsd\n* `RUB` - Rub\n* `RWF` - Rwf\n* `SAR` - Sar\n* `SBD` - Sbd\n* `SCR` - Scr\n* `SDG` - Sdg\n* `SEK` - Sek\n* `SGD` - Sgd\n* `SHP` - Shp\n* `SLE` - Sle\n* `SLL` - Sll\n* `SOS` - Sos\n* `SRD` - Srd\n* `SSP` - Ssp\n* `STN` - Stn\n* `SVC` - Svc\n* `SYP` - Syp\n* `SZL` - Szl\n* `THB` - Thb\n* `TJS` - Tjs\n* `TMT` - Tmt\n* `TND` - Tnd\n* `TOP` - Top\n* `TRY` - Try\n* `TTD` - Ttd\n* `TWD` - Twd\n* `TZS` - Tzs\n* `UAH` - Uah\n* `UGX` - Ugx\n* `USN` - Usn\n* `UYI` - Uyi\n* `UYU` - Uyu\n* `UZS` - Uzs\n* `VED` - Ved\n* `VEF` - Vef\n* `VND` - Vnd\n* `VUV` - Vuv\n* `WST` - Wst\n* `XAF` - Xaf\n* `XCD` - Xcd\n* `XOF` - Xof\n* `XPF` - Xpf\n* `XSU` - Xsu\n* `YER` - Yer\n* `ZAR` - Zar\n* `ZMW` - Zmw\n* `ZWL` - Zwl","enum":["USD","EUR","AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SLL","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USN","UYI","UYU","UZS","VED","VEF","VND","VUV","WST","XAF","XCD","XOF","XPF","XSU","YER","ZAR","ZMW","ZWL"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].chargesUnits","typeLabel":"enum\u003cstring>"},"utilityCompany":{"oneOf":[{"type":"string","description":"Name of the utility company providing the service.","isRequired":true,"uniqueKey":"documents.items.[INDEX].utilityCompany.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the utility company providing the service.","isRequired":true,"uniqueKey":"documents.items.[INDEX].utilityCompany.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].utilityCompany","typeLabel":"string | null"},"status":{"oneOf":[{"type":"string","description":"Custom status name assigned to the document by the company, if set.","isRequired":true,"uniqueKey":"documents.items.[INDEX].status.oneOf.0","typeLabel":"string"},{"type":"null","description":"Custom status name assigned to the document by the company, if set.","isRequired":true,"uniqueKey":"documents.items.[INDEX].status.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].status","typeLabel":"string | null"},"flaggedStatus":{"oneOf":[{"type":"string","description":"DEPRECATED: Kept for backwards compatibility only. Will be removed in a future API version.","isRequired":true,"uniqueKey":"documents.items.[INDEX].flaggedStatus.oneOf.0","typeLabel":"string"},{"type":"null","description":"DEPRECATED: Kept for backwards compatibility only. Will be removed in a future API version.","isRequired":true,"uniqueKey":"documents.items.[INDEX].flaggedStatus.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].flaggedStatus","typeLabel":"string | null"},"revisedDocumentId":{"oneOf":[{"type":"string","description":"ID of the document that revises this one.","isRequired":true,"uniqueKey":"documents.items.[INDEX].revisedDocumentId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the document that revises this one.","isRequired":true,"uniqueKey":"documents.items.[INDEX].revisedDocumentId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].revisedDocumentId","typeLabel":"string | null"},"connectionId":{"oneOf":[{"type":"string","description":"ID of the utility account connection that generated this document. Null if the document is not associated with a utility account connection.","isRequired":true,"uniqueKey":"documents.items.[INDEX].connectionId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the utility account connection that generated this document. Null if the document is not associated with a utility account connection.","isRequired":true,"uniqueKey":"documents.items.[INDEX].connectionId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].connectionId","typeLabel":"string | null"},"company":{"type":"string","format":"uuid","description":"Reference to the associated company. Deleting the company will soft delete the document.","isRequired":true,"uniqueKey":"documents.items.[INDEX].company","typeLabel":"string\u003cuuid>"},"companyExternalId":{"oneOf":[{"type":"string","description":"External identifier of the company associated with this document, if configured.","isRequired":true,"uniqueKey":"documents.items.[INDEX].companyExternalId.oneOf.0","typeLabel":"string"},{"type":"null","description":"External identifier of the company associated with this document, if configured.","isRequired":true,"uniqueKey":"documents.items.[INDEX].companyExternalId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].companyExternalId","typeLabel":"string | null"},"usageData":{"type":"array","items":{"type":"object","description":"Combined serializer for MeterSiteUsageData and DemandMeter.\n\nThis serializer should only be used for serializing response data, not creating or updating usage data.","properties":{"id":{"type":"string","description":"Id of the usage data.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].id","typeLabel":"string"},"created":{"type":"string","format":"date-time","description":"Timestamp when the usage data was created.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].created","typeLabel":"string\u003cdate-time>"},"updated":{"type":"string","format":"date-time","description":"Timestamp when the usage data was last updated.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].updated","typeLabel":"string\u003cdate-time>"},"startDate":{"type":"string","format":"date","description":"Date when the usage data starts.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].startDate","typeLabel":"string\u003cdate>"},"endDate":{"type":"string","format":"date","description":"Date when the usage data ends.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].endDate","typeLabel":"string\u003cdate>"},"isEstimated":{"type":"boolean","description":"Whether the usage data is estimated.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].isEstimated","typeLabel":"boolean"},"netMeteringGeneratedKwh":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Deprecated. Always returns null.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringGeneratedKwh.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Deprecated. Always returns null.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringGeneratedKwh.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringGeneratedKwh","typeLabel":"string\u003cdecimal> | null"},"netMeteringGridImportKwh":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Deprecated. Always returns null.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringGridImportKwh.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Deprecated. Always returns null.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringGridImportKwh.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringGridImportKwh","typeLabel":"string\u003cdecimal> | null"},"exclusion":{"type":"boolean","description":"Deprecated. Always returns false.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].exclusion","typeLabel":"boolean"},"revisedDocumentId":{"oneOf":[{"type":"string","format":"uuid","description":"ID of the document that revises this usage row, if the row was superseded.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].revisedDocumentId.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","description":"ID of the document that revises this usage row, if the row was superseded.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].revisedDocumentId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].revisedDocumentId","typeLabel":"string\u003cuuid> | null"},"usage":{"type":"string","description":"Usage amount extracted from billing data. For solar data, this is the kWh produced.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].usage","typeLabel":"string"},"usageUnits":{"type":"string","description":"Units for usage, as specified in the document","enum":["J","Btu","kBtu","MMBtu","kJ","MJ","GJ","TJ","thm (EC)","thm (US)","thm (UK)","Dth (EC)","Dth (US)","Dth (UK)","Cal","kCal","MCal","erg","kVA","Wh","kWh","MWh","GWh","ton hours","W","KW","MW","GW","L","kL","ML","cubic ft","cubic yd","cubic m","MMCF","MCF","HCF","CF","CCF","gal (UK)","gal (US)","100 gal (US)","100 gal (UK)","kgal (US)","kgal (UK)","Mgal (US)","Mgal (UK)","teu","bbl","mbbl","kg","oz t","g","lb","mlb","mmlb","tons (US)","sh ton","metric ton","tonne","long tn","km","mi","m","cm","mm","nm","yd","ft","in","kW","kVAR"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].usageUnits","typeLabel":"enum\u003cstring>"},"meter":{"oneOf":[{"type":"string","description":"Id of the matching meter associated with the usage data. For uploaded documents, field may be empty if no matching meter is found.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].meter.oneOf.0","typeLabel":"string"},{"type":"null","description":"Id of the matching meter associated with the usage data. For uploaded documents, field may be empty if no matching meter is found.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].meter.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].meter","typeLabel":"string | null"},"meterAddress":{"oneOf":[{"type":"string","description":"Address of the service location associated with the demand usage data.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].meterAddress.oneOf.0","typeLabel":"string"},{"type":"null","description":"Address of the service location associated with the demand usage data.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].meterAddress.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].meterAddress","typeLabel":"string | null"},"site":{"type":"object","description":"Site matched with the usage data.","required":["dataCollectionStopDate","id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the site.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.id","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"Name of the site.","maxLength":255,"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.name","typeLabel":"string"},"dataCollectionStopDate":{"oneOf":[{"type":"string","format":"date","description":"Date when data collection for this site was stopped. A non-null value indicates the site has been soft-deleted/archived.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.dataCollectionStopDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","description":"Date when data collection for this site was stopped. A non-null value indicates the site has been soft-deleted/archived.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.dataCollectionStopDate.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.dataCollectionStopDate","typeLabel":"string\u003cdate> | null"},"externalId":{"oneOf":[{"type":"string","description":"ID of the site on external platforms used during exports. Used to associate site in Nectar with site within your database.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.externalId.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the site on external platforms used during exports. Used to associate site in Nectar with site within your database.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.externalId.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.externalId","typeLabel":"string | null"},"address":{"type":"string","description":"Address of the site.","maxLength":255,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.address","typeLabel":"string"},"path":{"type":"array","items":{"type":"string","maxLength":100,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.path.items.[INDEX]","typeLabel":"string"},"description":"List of location tags in increasing specificity used to filter sites. Filters must be entered from more general to more specific. E.g. ['US', 'CA', 'ON']","maxItems":10,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.path","typeLabel":"string[]"},"occupancyPercent":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,3}(?:\\.\\d{0,4})?$","description":"Occupancy percent, must be a number from 0 to 100. Usage for the site will be multiplied by this value for specified accounts.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.occupancyPercent.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,3}(?:\\.\\d{0,4})?$","description":"Occupancy percent, must be a number from 0 to 100. Usage for the site will be multiplied by this value for specified accounts.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.occupancyPercent.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.occupancyPercent","typeLabel":"string\u003cdecimal> | null"},"occupancyApplicationMode":{"type":"string","description":"Controls how occupancy percent is applied to usage data. ALL applies to all data on this site regardless of account settings. PER_ACCOUNT applies only to accounts with the occupancy override enabled. DISABLED means occupancy is never applied regardless of account settings. PER_CONNECTION is a deprecated alias for PER_ACCOUNT; reads still return it and writes still accept it.\n\n* `DISABLED` - Disabled\n* `ALL` - All\n* `PER_ACCOUNT` - Per Account\n* `PER_CONNECTION` - Per Connection (deprecated alias for Per Account)","enum":["DISABLED","ALL","PER_ACCOUNT","PER_CONNECTION"],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.occupancyApplicationMode","typeLabel":"enum\u003cstring>"},"dummySiteReason":{"oneOf":[{"type":"string","description":"If set, this site is a placeholder and a street address is not required. The value describes why (for example API testing, a catch-all, or a multi-address bundle). Omit or null for a regular site. Clearing it on update requires a confirmed street address.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.dummySiteReason.oneOf.0","typeLabel":"string"},{"type":"null","description":"If set, this site is a placeholder and a street address is not required. The value describes why (for example API testing, a catch-all, or a multi-address bundle). Omit or null for a regular site. Clearing it on update requires a confirmed street address.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.dummySiteReason.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site.dummySiteReason","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].site","typeLabel":"object"},"identifiers":{"type":"array","items":{"type":"object","description":"Serializer for all fields of Identifier, used in usage endpoints.","properties":{"rawName":{"type":"string","description":"Raw name of the identifier as found in the document.","maxLength":200,"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].identifiers.items.[INDEX].rawName","typeLabel":"string"},"value":{"type":"string","description":"Value of the identifier.","maxLength":200,"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].identifiers.items.[INDEX].value","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"Name of the identifier.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].identifiers.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the identifier.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].identifiers.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].identifiers.items.[INDEX].name","typeLabel":"string | null"}},"required":["rawName","value"],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].identifiers.items.[INDEX]","typeLabel":"object"},"description":"Identifiers associated with the meter.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].identifiers","typeLabel":"object[]"},"datasourceType":{"type":"string","description":"Type of data source (utility) for the usage data entry.\n\n* `ELECTRICITY` - Electricity\n* `GAS` - Gas\n* `WATER` - Water\n* `SEWER` - Sewer\n* `DISTRICT` - District\n* `WASTE` - Waste\n* `FUEL` - Fuel\n* `MISC` - Misc\n* `REFRIGERANT` - Refrigerant\n* `SOLAR` - Solar\n* `TELECOM` - Telecom","enum":["ELECTRICITY","GAS","WATER","SEWER","DISTRICT","WASTE","FUEL","MISC","REFRIGERANT","SOLAR","TELECOM"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].datasourceType","typeLabel":"enum\u003cstring>"},"timeOfUse":{"oneOf":[{"type":"string","description":"[ELECTRICITY] DEPRECATED — always null. Use timeOfUseBreakdown instead.","enum":["PEAK","OFF_PEAK","SHOULDER_MIDPEAK","NIGHT_TIME","DAY_TIME","SUPER_OFF_PEAK","CRITICAL_PEAK","WEEKDAY","WEEKEND","OTHER"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUse.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[ELECTRICITY] DEPRECATED — always null. Use timeOfUseBreakdown instead.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUse.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUse","typeLabel":"enum\u003cstring> | null"},"electricityType":{"oneOf":[{"type":"string","description":"[ELECTRICITY] Type of electricity used.\n\n* `USAGE` - Usage\n* `DEMAND` - Demand","enum":["USAGE","DEMAND"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].electricityType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[ELECTRICITY] Type of electricity used.\n\n* `USAGE` - Usage\n* `DEMAND` - Demand","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].electricityType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].electricityType","typeLabel":"enum\u003cstring> | null"},"netMeteringType":{"oneOf":[{"type":"string","description":"[ELECTRICITY] Indicates whether the meter is tracking electricity imports from the grid, exports to the grid, or onsite generation.\n\n* `EXPORT` - Export\n* `IMPORT` - Import\n* `GENERATION` - Generation","enum":["EXPORT","IMPORT","GENERATION"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[ELECTRICITY] Indicates whether the meter is tracking electricity imports from the grid, exports to the grid, or onsite generation.\n\n* `EXPORT` - Export\n* `IMPORT` - Import\n* `GENERATION` - Generation","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringType","typeLabel":"enum\u003cstring> | null"},"waterType":{"oneOf":[{"type":"string","description":"[WATER] Type of water used.\n\n* `POTABLE_WATER` - Potable Water\n* `WELL_WATER` - Well Water\n* `MUNICIPAL_WATER` - Municipal Water\n* `WASTE_WATER` - Waste water","enum":["POTABLE_WATER","WELL_WATER","MUNICIPAL_WATER","WASTE_WATER"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].waterType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[WATER] Type of water used.\n\n* `POTABLE_WATER` - Potable Water\n* `WELL_WATER` - Well Water\n* `MUNICIPAL_WATER` - Municipal Water\n* `WASTE_WATER` - Waste water","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].waterType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].waterType","typeLabel":"enum\u003cstring> | null"},"meterHighLow":{"oneOf":[{"type":"string","description":"[WATER, SEWER] Indicates if the meter type is 'HIGH' or 'LOW'.\n\n* `HIGH` - High\n* `LOW` - Low","enum":["HIGH","LOW"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].meterHighLow.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[WATER, SEWER] Indicates if the meter type is 'HIGH' or 'LOW'.\n\n* `HIGH` - High\n* `LOW` - Low","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].meterHighLow.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].meterHighLow","typeLabel":"enum\u003cstring> | null"},"gasType":{"oneOf":[{"type":"string","description":"[GAS] Type of gas used.\n\n* `NATURAL_GAS` - Natural Gas","enum":["NATURAL_GAS"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].gasType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[GAS] Type of gas used.\n\n* `NATURAL_GAS` - Natural Gas","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].gasType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].gasType","typeLabel":"enum\u003cstring> | null"},"fuelType":{"oneOf":[{"type":"string","description":"[FUEL] Type of fuel used, with predefined choices.\n\n* `ANTHRACITE_COAL` - Anthracite Coal\n* `BITUMINOUS_COAL` - Bituminous Coal\n* `SUB_BITUMINOUS_COAL` - Sub Bituminous Coal\n* `LIGNITE_COAL` - Lignite Coal\n* `MIXED_COMMERCIAL_SECTOR` - Mixed Commercial Sector\n* `MIXED_ELECTRIC_POWER_SECTOR` - Mixed Electric Power Sector\n* `MIXED_INDUSTRIAL_COKING` - Mixed Industrial Coking\n* `MIXED_INDUSTRIAL_SECTOR` - Mixed Industrial Sector\n* `COAL_COKE` - Coal Coke\n* `MUNICIPAL_SOLID_WASTE` - Municipal Solid Waste\n* `PETROLEUM_COKE_SOLID` - Petroleum Coke Solid\n* `PLASTICS` - Plastics\n* `TIRES` - Tires\n* `AGRICULTURAL_BYPRODUCTS` - Agricultural Byproducts\n* `PEAT` - Peat\n* `SOLID_BYPRODUCTS` - Solid Byproducts\n* `WOOD_AND_WOOD_RESIDUALS` - Wood And Wood Residuals\n* `NATURAL_GAS` - Natural Gas\n* `BLAST_FURNACE_GAS` - Blast Furnace Gas\n* `COKE_OVEN_GAS` - Coke Oven Gas\n* `FUEL_GAS` - Fuel Gas\n* `PROPANE_GAS` - Propane Gas\n* `LANDFILL_GAS` - Landfill Gas\n* `OTHER_BIOMASS_GASES` - Other Biomass Gases\n* `ASPHALT_AND_ROAD_OIL` - Asphalt And Road Oil\n* `BUTANE` - Butane\n* `BUTYLENE` - Butylene\n* `CRUDE_OIL` - Crude Oil\n* `DISTILLATE_FUEL_OIL_NO_1` - Distillate Fuel Oil No 1\n* `DISTILLATE_FUEL_OIL_NO_2` - Distillate Fuel Oil No 2\n* `DISTILLATE_FUEL_OIL_NO_4` - Distillate Fuel Oil No 4\n* `ETHANE` - Ethane\n* `ETHYLENE` - Ethylene\n* `HEAVY_GAS_OILS` - Heavy Gas Oils\n* `ISOBUTANE` - Isobutane\n* `ISOBUTYLENE` - Isobutylene\n* `KEROSENE` - Kerosene\n* `LIQUEFIED_PETROLEUM_GASES_LPG` - Liquefied Petroleum Gases Lpg\n* `COMPRESSED_NATURAL_GAS_CNG` - Compressed Natural Gas Cng\n* `LUBRICANTS` - Lubricants\n* `MOTOR_GASOLINE` - Motor Gasoline\n* `NAPHTHA_LESS_THAN_401_DEG_F` - Naphtha Less Than 401 Deg F\n* `NATURAL_GASOLINE` - Natural Gasoline\n* `OTHER_OIL_MORE_THAN_401_DEG_F` - Other Oil More Than 401 Deg F\n* `PENTANES_PLUS` - Pentanes Plus\n* `PETROCHEMICAL_FEEDSTOCKS` - Petrochemical Feedstocks\n* `PROPYLENE` - Propylene\n* `RESIDUAL_FUEL_OIL_NO_5` - Residual Fuel Oil No 5\n* `RESIDUAL_FUEL_OIL_NO_6` - Residual Fuel Oil No 6\n* `SPECIAL_NAPHTHA` - Special Naphtha\n* `UNFINISHED_OILS` - Unfinished Oils\n* `USED_OIL` - Used Oil\n* `BIODIESEL_100_PERCENT` - Biodiesel 100 Percent\n* `BIODIESEL_BLEND` - Biodiesel Blend\n* `ETHANOL_BLENDED_GASOLINE` - Ethanol Blended Gasoline\n* `ETHANOL_100_PERCENT` - Ethanol 100 Percent\n* `RENDERED_ANIMAL_FAT` - Rendered Animal Fat\n* `VEGETABLE_OIL` - Vegetable Oil\n* `NORTH_AMERICAN_SOFTWOOD` - North American Softwood\n* `NORTH_AMERICAN_HARDWOOD` - North American Hardwood\n* `BAGASSE` - Bagasse\n* `BAMBOO` - Bamboo\n* `STRAW` - Straw","enum":["ANTHRACITE_COAL","BITUMINOUS_COAL","SUB_BITUMINOUS_COAL","LIGNITE_COAL","MIXED_COMMERCIAL_SECTOR","MIXED_ELECTRIC_POWER_SECTOR","MIXED_INDUSTRIAL_COKING","MIXED_INDUSTRIAL_SECTOR","COAL_COKE","MUNICIPAL_SOLID_WASTE","PETROLEUM_COKE_SOLID","PLASTICS","TIRES","AGRICULTURAL_BYPRODUCTS","PEAT","SOLID_BYPRODUCTS","WOOD_AND_WOOD_RESIDUALS","NATURAL_GAS","BLAST_FURNACE_GAS","COKE_OVEN_GAS","FUEL_GAS","PROPANE_GAS","LANDFILL_GAS","OTHER_BIOMASS_GASES","ASPHALT_AND_ROAD_OIL","BUTANE","BUTYLENE","CRUDE_OIL","DISTILLATE_FUEL_OIL_NO_1","DISTILLATE_FUEL_OIL_NO_2","DISTILLATE_FUEL_OIL_NO_4","ETHANE","ETHYLENE","HEAVY_GAS_OILS","ISOBUTANE","ISOBUTYLENE","KEROSENE","LIQUEFIED_PETROLEUM_GASES_LPG","COMPRESSED_NATURAL_GAS_CNG","LUBRICANTS","MOTOR_GASOLINE","NAPHTHA_LESS_THAN_401_DEG_F","NATURAL_GASOLINE","OTHER_OIL_MORE_THAN_401_DEG_F","PENTANES_PLUS","PETROCHEMICAL_FEEDSTOCKS","PROPYLENE","RESIDUAL_FUEL_OIL_NO_5","RESIDUAL_FUEL_OIL_NO_6","SPECIAL_NAPHTHA","UNFINISHED_OILS","USED_OIL","BIODIESEL_100_PERCENT","BIODIESEL_BLEND","ETHANOL_BLENDED_GASOLINE","ETHANOL_100_PERCENT","RENDERED_ANIMAL_FAT","VEGETABLE_OIL","NORTH_AMERICAN_SOFTWOOD","NORTH_AMERICAN_HARDWOOD","BAGASSE","BAMBOO","STRAW"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].fuelType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[FUEL] Type of fuel used, with predefined choices.\n\n* `ANTHRACITE_COAL` - Anthracite Coal\n* `BITUMINOUS_COAL` - Bituminous Coal\n* `SUB_BITUMINOUS_COAL` - Sub Bituminous Coal\n* `LIGNITE_COAL` - Lignite Coal\n* `MIXED_COMMERCIAL_SECTOR` - Mixed Commercial Sector\n* `MIXED_ELECTRIC_POWER_SECTOR` - Mixed Electric Power Sector\n* `MIXED_INDUSTRIAL_COKING` - Mixed Industrial Coking\n* `MIXED_INDUSTRIAL_SECTOR` - Mixed Industrial Sector\n* `COAL_COKE` - Coal Coke\n* `MUNICIPAL_SOLID_WASTE` - Municipal Solid Waste\n* `PETROLEUM_COKE_SOLID` - Petroleum Coke Solid\n* `PLASTICS` - Plastics\n* `TIRES` - Tires\n* `AGRICULTURAL_BYPRODUCTS` - Agricultural Byproducts\n* `PEAT` - Peat\n* `SOLID_BYPRODUCTS` - Solid Byproducts\n* `WOOD_AND_WOOD_RESIDUALS` - Wood And Wood Residuals\n* `NATURAL_GAS` - Natural Gas\n* `BLAST_FURNACE_GAS` - Blast Furnace Gas\n* `COKE_OVEN_GAS` - Coke Oven Gas\n* `FUEL_GAS` - Fuel Gas\n* `PROPANE_GAS` - Propane Gas\n* `LANDFILL_GAS` - Landfill Gas\n* `OTHER_BIOMASS_GASES` - Other Biomass Gases\n* `ASPHALT_AND_ROAD_OIL` - Asphalt And Road Oil\n* `BUTANE` - Butane\n* `BUTYLENE` - Butylene\n* `CRUDE_OIL` - Crude Oil\n* `DISTILLATE_FUEL_OIL_NO_1` - Distillate Fuel Oil No 1\n* `DISTILLATE_FUEL_OIL_NO_2` - Distillate Fuel Oil No 2\n* `DISTILLATE_FUEL_OIL_NO_4` - Distillate Fuel Oil No 4\n* `ETHANE` - Ethane\n* `ETHYLENE` - Ethylene\n* `HEAVY_GAS_OILS` - Heavy Gas Oils\n* `ISOBUTANE` - Isobutane\n* `ISOBUTYLENE` - Isobutylene\n* `KEROSENE` - Kerosene\n* `LIQUEFIED_PETROLEUM_GASES_LPG` - Liquefied Petroleum Gases Lpg\n* `COMPRESSED_NATURAL_GAS_CNG` - Compressed Natural Gas Cng\n* `LUBRICANTS` - Lubricants\n* `MOTOR_GASOLINE` - Motor Gasoline\n* `NAPHTHA_LESS_THAN_401_DEG_F` - Naphtha Less Than 401 Deg F\n* `NATURAL_GASOLINE` - Natural Gasoline\n* `OTHER_OIL_MORE_THAN_401_DEG_F` - Other Oil More Than 401 Deg F\n* `PENTANES_PLUS` - Pentanes Plus\n* `PETROCHEMICAL_FEEDSTOCKS` - Petrochemical Feedstocks\n* `PROPYLENE` - Propylene\n* `RESIDUAL_FUEL_OIL_NO_5` - Residual Fuel Oil No 5\n* `RESIDUAL_FUEL_OIL_NO_6` - Residual Fuel Oil No 6\n* `SPECIAL_NAPHTHA` - Special Naphtha\n* `UNFINISHED_OILS` - Unfinished Oils\n* `USED_OIL` - Used Oil\n* `BIODIESEL_100_PERCENT` - Biodiesel 100 Percent\n* `BIODIESEL_BLEND` - Biodiesel Blend\n* `ETHANOL_BLENDED_GASOLINE` - Ethanol Blended Gasoline\n* `ETHANOL_100_PERCENT` - Ethanol 100 Percent\n* `RENDERED_ANIMAL_FAT` - Rendered Animal Fat\n* `VEGETABLE_OIL` - Vegetable Oil\n* `NORTH_AMERICAN_SOFTWOOD` - North American Softwood\n* `NORTH_AMERICAN_HARDWOOD` - North American Hardwood\n* `BAGASSE` - Bagasse\n* `BAMBOO` - Bamboo\n* `STRAW` - Straw","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].fuelType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].fuelType","typeLabel":"enum\u003cstring> | null"},"districtType":{"oneOf":[{"type":"string","description":"[DISTRICT] Type of district used, either HEATING or COOLING.\n\n* `HEATING` - Heating\n* `COOLING` - Cooling","enum":["HEATING","COOLING"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].districtType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[DISTRICT] Type of district used, either HEATING or COOLING.\n\n* `HEATING` - Heating\n* `COOLING` - Cooling","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].districtType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].districtType","typeLabel":"enum\u003cstring> | null"},"districtMediumType":{"oneOf":[{"type":"string","description":"[DISTRICT] Type of heating or cooling medium used, e.g. STEAM, HOT_WATER, etc.\n\n* `HOT_WATER` - Hot Water\n* `STEAM` - Steam\n* `HOT_OIL` - Hot Oil\n* `CHILLED_WATER` - Chilled Water","enum":["HOT_WATER","STEAM","HOT_OIL","CHILLED_WATER"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].districtMediumType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[DISTRICT] Type of heating or cooling medium used, e.g. STEAM, HOT_WATER, etc.\n\n* `HOT_WATER` - Hot Water\n* `STEAM` - Steam\n* `HOT_OIL` - Hot Oil\n* `CHILLED_WATER` - Chilled Water","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].districtMediumType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].districtMediumType","typeLabel":"enum\u003cstring> | null"},"wasteDescription":{"type":"string","description":"[WASTE] Material label from the source document, e.g. OCC, MSW, C\u0026D. Used to classify the waste material.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].wasteDescription","typeLabel":"string"},"wasteType":{"type":"string","description":"[WASTE] The waste material classified from the waste description, from your company's configured materials, e.g. Paperboard, Mixed Waste.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].wasteType","typeLabel":"string"},"wasteStream":{"type":"string","description":"[WASTE] The waste stream assigned by your company's processing rules based on the material, provider, and site, e.g. Recycled, Landfill, Compost.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].wasteStream","typeLabel":"string"},"refrigerantType":{"oneOf":[{"type":"string","description":"[REFRIGERANT] Type of refrigerant used.\n\n* `R11` - R11\n* `R12` - R12\n* `R22` - R22\n* `R123` - R123\n* `R124` - R124\n* `R134A` - R134A\n* `R401A` - R401A\n* `R401B` - R401B\n* `R402A` - R402A\n* `R402B` - R402B\n* `R403A` - R403A\n* `R403B` - R403B\n* `R404A` - R404A\n* `R405A` - R405A\n* `R406A` - R406A\n* `R407A` - R407A\n* `R407B` - R407B\n* `R407C` - R407C\n* `R407D` - R407D\n* `R407F` - R407F\n* `R408A` - R408A\n* `R409A` - R409A\n* `R409B` - R409B\n* `R410A` - R410A\n* `R410B` - R410B\n* `R411A` - R411A\n* `R411B` - R411B\n* `R412A` - R412A\n* `R413A` - R413A\n* `R413B` - R413B\n* `R414A` - R414A\n* `R414B` - R414B\n* `R415A` - R415A\n* `R415B` - R415B\n* `R416A` - R416A\n* `R417A` - R417A\n* `R417B` - R417B\n* `R417C` - R417C\n* `R418A` - R418A\n* `R419A` - R419A\n* `R419B` - R419B\n* `R420A` - R420A\n* `R420B` - R420B\n* `R421A` - R421A\n* `R421B` - R421B\n* `R421C` - R421C\n* `R422A` - R422A\n* `R422B` - R422B\n* `R422C` - R422C\n* `R422D` - R422D\n* `R422E` - R422E\n* `R423A` - R423A\n* `R423B` - R423B\n* `R424A` - R424A\n* `R424B` - R424B\n* `R425A` - R425A\n* `R426A` - R426A\n* `R426B` - R426B\n* `R426C` - R426C\n* `R427A` - R427A\n* `R427B` - R427B\n* `R427C` - R427C\n* `R428A` - R428A\n* `R428B` - R428B\n* `R429A` - R429A\n* `R429B` - R429B\n* `R430A` - R430A\n* `R430B` - R430B\n* `R431A` - R431A\n* `R431B` - R431B\n* `R432A` - R432A\n* `R432B` - R432B\n* `R433A` - R433A\n* `R433B` - R433B\n* `R433C` - R433C\n* `R433D` - R433D\n* `R434A` - R434A\n* `R434B` - R434B\n* `R435A` - R435A\n* `R435B` - R435B\n* `R436A` - R436A\n* `R436B` - R436B\n* `R437A` - R437A\n* `R437B` - R437B\n* `R438A` - R438A\n* `R438B` - R438B\n* `R444B` - R444B\n* `R445A` - R445A\n* `R447A` - R447A\n* `R448A` - R448A\n* `R448B` - R448B\n* `R449A` - R449A\n* `R449B` - R449B\n* `R450A` - R450A\n* `R450B` - R450B\n* `R451A` - R451A\n* `R451B` - R451B\n* `R452A` - R452A\n* `R452B` - R452B\n* `R453A` - R453A\n* `R454A` - R454A\n* `R454B` - R454B\n* `R454C` - R454C\n* `R455A` - R455A\n* `R456A` - R456A\n* `R459A` - R459A\n* `R460A` - R460A\n* `R461A` - R461A\n* `R462A` - R462A\n* `R463A` - R463A\n* `R464A` - R464A\n* `R465A` - R465A\n* `R115` - R115\n* `R116` - R116\n* `R12B1` - R12B1\n* `R13` - R13\n* `R13B1` - R13B1\n* `R13I1` - R13I1\n* `R14` - R14\n* `R14e` - R14E\n* `R21` - R21\n* `R23` - R23\n* `R30` - R30\n* `R31` - R31\n* `R40` - R40\n* `R41` - R41\n* `R50` - R50\n* `R113` - R113\n* `R114` - R114\n* `R125` - R125\n* `R141B` - R141B\n* `R142B` - R142B\n* `R143A` - R143A\n* `R152A` - R152A\n* `R170` - R170\n* `R218` - R218\n* `R290` - R290\n* `R318` - R318\n* `R600` - R600\n* `R600A` - R600A\n* `R717` - R717\n* `R744` - R744\n* `R508B` - R508B\n* `R1270` - R1270\n* `R32` - R32\n* `R161` - R161\n* `R227EA` - R227Ea\n* `R236CB` - R236Cb\n* `R236EA` - R236Ea\n* `R236FA` - R236Fa\n* `R245CA` - R245Ca\n* `R245FA` - R245Fa\n* `R414C` - R414C\n* `R415C` - R415C\n* `R416B` - R416B\n* `R123A` - R123A\n* `R123B` - R123B\n* `R365MFC` - R365Mfc\n* `R4310` - R4310\n* `R127C` - R127C\n* `R12A` - R12A\n* `R22A` - R22A\n* `R502A` - R502A\n* `R601A` - R601A","enum":["R11","R12","R22","R123","R124","R134A","R401A","R401B","R402A","R402B","R403A","R403B","R404A","R405A","R406A","R407A","R407B","R407C","R407D","R407F","R408A","R409A","R409B","R410A","R410B","R411A","R411B","R412A","R413A","R413B","R414A","R414B","R415A","R415B","R416A","R417A","R417B","R417C","R418A","R419A","R419B","R420A","R420B","R421A","R421B","R421C","R422A","R422B","R422C","R422D","R422E","R423A","R423B","R424A","R424B","R425A","R426A","R426B","R426C","R427A","R427B","R427C","R428A","R428B","R429A","R429B","R430A","R430B","R431A","R431B","R432A","R432B","R433A","R433B","R433C","R433D","R434A","R434B","R435A","R435B","R436A","R436B","R437A","R437B","R438A","R438B","R444B","R445A","R447A","R448A","R448B","R449A","R449B","R450A","R450B","R451A","R451B","R452A","R452B","R453A","R454A","R454B","R454C","R455A","R456A","R459A","R460A","R461A","R462A","R463A","R464A","R465A","R115","R116","R12B1","R13","R13B1","R13I1","R14","R14e","R21","R23","R30","R31","R40","R41","R50","R113","R114","R125","R141B","R142B","R143A","R152A","R170","R218","R290","R318","R600","R600A","R717","R744","R508B","R1270","R32","R161","R227EA","R236CB","R236EA","R236FA","R245CA","R245FA","R414C","R415C","R416B","R123A","R123B","R365MFC","R4310","R127C","R12A","R22A","R502A","R601A"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].refrigerantType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[REFRIGERANT] Type of refrigerant used.\n\n* `R11` - R11\n* `R12` - R12\n* `R22` - R22\n* `R123` - R123\n* `R124` - R124\n* `R134A` - R134A\n* `R401A` - R401A\n* `R401B` - R401B\n* `R402A` - R402A\n* `R402B` - R402B\n* `R403A` - R403A\n* `R403B` - R403B\n* `R404A` - R404A\n* `R405A` - R405A\n* `R406A` - R406A\n* `R407A` - R407A\n* `R407B` - R407B\n* `R407C` - R407C\n* `R407D` - R407D\n* `R407F` - R407F\n* `R408A` - R408A\n* `R409A` - R409A\n* `R409B` - R409B\n* `R410A` - R410A\n* `R410B` - R410B\n* `R411A` - R411A\n* `R411B` - R411B\n* `R412A` - R412A\n* `R413A` - R413A\n* `R413B` - R413B\n* `R414A` - R414A\n* `R414B` - R414B\n* `R415A` - R415A\n* `R415B` - R415B\n* `R416A` - R416A\n* `R417A` - R417A\n* `R417B` - R417B\n* `R417C` - R417C\n* `R418A` - R418A\n* `R419A` - R419A\n* `R419B` - R419B\n* `R420A` - R420A\n* `R420B` - R420B\n* `R421A` - R421A\n* `R421B` - R421B\n* `R421C` - R421C\n* `R422A` - R422A\n* `R422B` - R422B\n* `R422C` - R422C\n* `R422D` - R422D\n* `R422E` - R422E\n* `R423A` - R423A\n* `R423B` - R423B\n* `R424A` - R424A\n* `R424B` - R424B\n* `R425A` - R425A\n* `R426A` - R426A\n* `R426B` - R426B\n* `R426C` - R426C\n* `R427A` - R427A\n* `R427B` - R427B\n* `R427C` - R427C\n* `R428A` - R428A\n* `R428B` - R428B\n* `R429A` - R429A\n* `R429B` - R429B\n* `R430A` - R430A\n* `R430B` - R430B\n* `R431A` - R431A\n* `R431B` - R431B\n* `R432A` - R432A\n* `R432B` - R432B\n* `R433A` - R433A\n* `R433B` - R433B\n* `R433C` - R433C\n* `R433D` - R433D\n* `R434A` - R434A\n* `R434B` - R434B\n* `R435A` - R435A\n* `R435B` - R435B\n* `R436A` - R436A\n* `R436B` - R436B\n* `R437A` - R437A\n* `R437B` - R437B\n* `R438A` - R438A\n* `R438B` - R438B\n* `R444B` - R444B\n* `R445A` - R445A\n* `R447A` - R447A\n* `R448A` - R448A\n* `R448B` - R448B\n* `R449A` - R449A\n* `R449B` - R449B\n* `R450A` - R450A\n* `R450B` - R450B\n* `R451A` - R451A\n* `R451B` - R451B\n* `R452A` - R452A\n* `R452B` - R452B\n* `R453A` - R453A\n* `R454A` - R454A\n* `R454B` - R454B\n* `R454C` - R454C\n* `R455A` - R455A\n* `R456A` - R456A\n* `R459A` - R459A\n* `R460A` - R460A\n* `R461A` - R461A\n* `R462A` - R462A\n* `R463A` - R463A\n* `R464A` - R464A\n* `R465A` - R465A\n* `R115` - R115\n* `R116` - R116\n* `R12B1` - R12B1\n* `R13` - R13\n* `R13B1` - R13B1\n* `R13I1` - R13I1\n* `R14` - R14\n* `R14e` - R14E\n* `R21` - R21\n* `R23` - R23\n* `R30` - R30\n* `R31` - R31\n* `R40` - R40\n* `R41` - R41\n* `R50` - R50\n* `R113` - R113\n* `R114` - R114\n* `R125` - R125\n* `R141B` - R141B\n* `R142B` - R142B\n* `R143A` - R143A\n* `R152A` - R152A\n* `R170` - R170\n* `R218` - R218\n* `R290` - R290\n* `R318` - R318\n* `R600` - R600\n* `R600A` - R600A\n* `R717` - R717\n* `R744` - R744\n* `R508B` - R508B\n* `R1270` - R1270\n* `R32` - R32\n* `R161` - R161\n* `R227EA` - R227Ea\n* `R236CB` - R236Cb\n* `R236EA` - R236Ea\n* `R236FA` - R236Fa\n* `R245CA` - R245Ca\n* `R245FA` - R245Fa\n* `R414C` - R414C\n* `R415C` - R415C\n* `R416B` - R416B\n* `R123A` - R123A\n* `R123B` - R123B\n* `R365MFC` - R365Mfc\n* `R4310` - R4310\n* `R127C` - R127C\n* `R12A` - R12A\n* `R22A` - R22A\n* `R502A` - R502A\n* `R601A` - R601A","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].refrigerantType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].refrigerantType","typeLabel":"enum\u003cstring> | null"},"meterIsTracked":{"type":"boolean","description":"Whether the meter is tracked.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].meterIsTracked","typeLabel":"boolean"},"additionalFields":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].additionalFields.additionalProperties","typeLabel":"any"},"description":"Additional fields for the usage data. For information on adding custom fields to the Nectar schema get in touch with our team.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].additionalFields","typeLabel":"object"},"isImplied":{"type":"boolean","description":"Whether the usage data is implied.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].isImplied","typeLabel":"boolean"},"currentReading":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Current reading of the meter.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].currentReading.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Current reading of the meter.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].currentReading.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].currentReading","typeLabel":"string\u003cdecimal> | null"},"previousReading":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Previous reading of the meter.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].previousReading.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Previous reading of the meter.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].previousReading.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].previousReading","typeLabel":"string\u003cdecimal> | null"},"multiplier":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Multiplier for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplier.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Multiplier for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplier.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplier","typeLabel":"string\u003cdecimal> | null"},"multiplierDescription":{"oneOf":[{"type":"string","description":"Description of the multiplier for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplierDescription.oneOf.0","typeLabel":"string"},{"type":"null","description":"Description of the multiplier for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplierDescription.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplierDescription","typeLabel":"string | null"},"multiplier2":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Second multiplier for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplier2.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Second multiplier for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplier2.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplier2","typeLabel":"string\u003cdecimal> | null"},"multiplier2Description":{"oneOf":[{"type":"string","description":"Description of the second multiplier for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplier2Description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Description of the second multiplier for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplier2Description.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].multiplier2Description","typeLabel":"string | null"},"fractionRenewable":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,5}(?:\\.\\d{0,5})?$","description":"Fraction of the usage data that is renewable.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].fractionRenewable.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,5}(?:\\.\\d{0,5})?$","description":"Fraction of the usage data that is renewable.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].fractionRenewable.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].fractionRenewable","typeLabel":"string\u003cdecimal> | null"},"netMeteringGridExportKwh":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Net metering grid export kWh.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringGridExportKwh.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Net metering grid export kWh.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringGridExportKwh.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].netMeteringGridExportKwh","typeLabel":"string\u003cdecimal> | null"},"tariff":{"oneOf":[{"type":"string","description":"Tariff for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].tariff.oneOf.0","typeLabel":"string"},{"type":"null","description":"Tariff for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].tariff.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].tariff","typeLabel":"string | null"},"billedDemand":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Billed demand for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].billedDemand.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Billed demand for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].billedDemand.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].billedDemand","typeLabel":"string\u003cdecimal> | null"},"supplierName":{"oneOf":[{"type":"string","description":"Name of the supplier for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].supplierName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the supplier for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].supplierName.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].supplierName","typeLabel":"string | null"},"utilityName":{"oneOf":[{"type":"string","description":"Name of the local utility distributor for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].utilityName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the local utility distributor for the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].utilityName.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].utilityName","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","description":"Country of the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].country.oneOf.0","typeLabel":"string"},{"type":"null","description":"Country of the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].country.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].country","typeLabel":"string | null"},"serviceAddress":{"oneOf":[{"type":"string","description":"Address of the service location associated with the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].serviceAddress.oneOf.0","typeLabel":"string"},{"type":"null","description":"Address of the service location associated with the usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].serviceAddress.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].serviceAddress","typeLabel":"string | null"},"apparentUsage":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"[ELECTRICITY] Apparent energy usage for this electricity meter (kVAh, MVAh, or GVAh). Represents the total power (real + reactive).","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].apparentUsage.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"[ELECTRICITY] Apparent energy usage for this electricity meter (kVAh, MVAh, or GVAh). Represents the total power (real + reactive).","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].apparentUsage.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].apparentUsage","typeLabel":"string\u003cdecimal> | null"},"apparentUsageUnits":{"oneOf":[{"type":"string","description":"[ELECTRICITY] Units for the apparent usage amount.\n\n* `kVAh` - Kvah\n* `MVAh` - Mvah\n* `GVAh` - Gvah","enum":["kVAh","MVAh","GVAh"],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].apparentUsageUnits.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[ELECTRICITY] Units for the apparent usage amount.\n\n* `kVAh` - Kvah\n* `MVAh` - Mvah\n* `GVAh` - Gvah","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].apparentUsageUnits.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].apparentUsageUnits","typeLabel":"enum\u003cstring> | null"},"reactiveUsage":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"[ELECTRICITY] Reactive energy usage for this electricity meter (kVArh, MVArh, or GVArh). Represents the non-working power.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].reactiveUsage.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"[ELECTRICITY] Reactive energy usage for this electricity meter (kVArh, MVArh, or GVArh). Represents the non-working power.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].reactiveUsage.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].reactiveUsage","typeLabel":"string\u003cdecimal> | null"},"reactiveUsageUnits":{"oneOf":[{"type":"string","description":"[ELECTRICITY] Units for the reactive usage amount.\n\n* `kVArh` - Kvarh\n* `MVArh` - Mvarh\n* `GVArh` - Gvarh","enum":["kVArh","MVArh","GVArh"],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].reactiveUsageUnits.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"[ELECTRICITY] Units for the reactive usage amount.\n\n* `kVArh` - Kvarh\n* `MVArh` - Mvarh\n* `GVArh` - Gvarh","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].reactiveUsageUnits.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].reactiveUsageUnits","typeLabel":"enum\u003cstring> | null"},"powerFactor":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,1}(?:\\.\\d{0,19})?$","description":"[ELECTRICITY] Power factor ratio expressing the efficiency of power usage. Value between 0.0 and 1.0.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].powerFactor.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,1}(?:\\.\\d{0,19})?$","description":"[ELECTRICITY] Power factor ratio expressing the efficiency of power usage. Value between 0.0 and 1.0.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].powerFactor.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].powerFactor","typeLabel":"string\u003cdecimal> | null"},"timeOfUseBreakdown":{"oneOf":[{"type":"array","items":{"type":"object","description":"Serializer for time-of-use breakdown entries.","properties":{"timeOfUse":{"type":"string","description":"Time of use category (e.g., PEAK, OFF_PEAK, SHOULDER_MIDPEAK).\n\n* `PEAK` - Peak\n* `OFF_PEAK` - Off Peak\n* `SHOULDER_MIDPEAK` - Shoulder Midpeak\n* `NIGHT_TIME` - Night Time\n* `DAY_TIME` - Day Time\n* `SUPER_OFF_PEAK` - Super Off Peak\n* `CRITICAL_PEAK` - Critical Peak\n* `WEEKDAY` - Weekday\n* `WEEKEND` - Weekend\n* `OTHER` - Other","enum":["PEAK","OFF_PEAK","SHOULDER_MIDPEAK","NIGHT_TIME","DAY_TIME","SUPER_OFF_PEAK","CRITICAL_PEAK","WEEKDAY","WEEKEND","OTHER"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].timeOfUse","typeLabel":"enum\u003cstring>"},"usage":{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Usage amount for this time of use period.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].usage","typeLabel":"string\u003cdecimal>"},"usageUnits":{"type":"string","description":"Units for the usage amount (must match parent usage data's units).\n\n* `Wh` - WH\n* `kWh` - KWH\n* `MWh` - MWH\n* `GWh` - GWH","enum":["Wh","kWh","MWh","GWh"],"isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].usageUnits","typeLabel":"enum\u003cstring>"},"description":{"oneOf":[{"type":"string","description":"Optional description or label from the bill for this time of use period.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","description":"Optional description or label from the bill for this time of use period.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"startDate":{"oneOf":[{"type":"string","format":"date","description":"Start date for this time of use period if different from parent usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].startDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","description":"Start date for this time of use period if different from parent usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].startDate","typeLabel":"string\u003cdate> | null"},"endDate":{"oneOf":[{"type":"string","format":"date","description":"End date for this time of use period if different from parent usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].endDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","description":"End date for this time of use period if different from parent usage data.","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].endDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX].endDate","typeLabel":"string\u003cdate> | null"}},"required":["timeOfUse","usage","usageUnits"],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"[ELECTRICITY] Array of time-of-use breakdown entries when usage is split by TOU periods. Each entry contains timeOfUse category, usage amount, units, and optional description/dates. ","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","description":"Serializer for time-of-use breakdown entries.","properties":{"timeOfUse":{"type":"string","description":"Time of use category (e.g., PEAK, OFF_PEAK, SHOULDER_MIDPEAK).\n\n* `PEAK` - Peak\n* `OFF_PEAK` - Off Peak\n* `SHOULDER_MIDPEAK` - Shoulder Midpeak\n* `NIGHT_TIME` - Night Time\n* `DAY_TIME` - Day Time\n* `SUPER_OFF_PEAK` - Super Off Peak\n* `CRITICAL_PEAK` - Critical Peak\n* `WEEKDAY` - Weekday\n* `WEEKEND` - Weekend\n* `OTHER` - Other","enum":["PEAK","OFF_PEAK","SHOULDER_MIDPEAK","NIGHT_TIME","DAY_TIME","SUPER_OFF_PEAK","CRITICAL_PEAK","WEEKDAY","WEEKEND","OTHER"]},"description":{"oneOf":[{"type":"string","description":"Optional description or label from the bill for this time of use period."},{"type":"null","description":"Optional description or label from the bill for this time of use period."}]},"usage":{"type":"string","format":"decimal","pattern":"^-?\\d{0,10}(?:\\.\\d{0,10})?$","description":"Usage amount for this time of use period."},"usageUnits":{"type":"string","description":"Units for the usage amount (must match parent usage data's units).\n\n* `Wh` - WH\n* `kWh` - KWH\n* `MWh` - MWH\n* `GWh` - GWH","enum":["Wh","kWh","MWh","GWh"]},"startDate":{"oneOf":[{"type":"string","format":"date","description":"Start date for this time of use period if different from parent usage data."},{"type":"null","format":"date","description":"Start date for this time of use period if different from parent usage data."}]},"endDate":{"oneOf":[{"type":"string","format":"date","description":"End date for this time of use period if different from parent usage data."},{"type":"null","format":"date","description":"End date for this time of use period if different from parent usage data."}]}},"required":["timeOfUse","usage","usageUnits"]},"description":"[ELECTRICITY] Array of time-of-use breakdown entries when usage is split by TOU periods. Each entry contains timeOfUse category, usage amount, units, and optional description/dates. ","uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX].timeOfUseBreakdown","typeLabel":"object[] | null"}},"required":["additionalFields","created","datasourceType","districtMediumType","districtType","electricityType","endDate","exclusion","fuelType","gasType","id","identifiers","isEstimated","meter","meterAddress","meterHighLow","meterIsTracked","netMeteringGeneratedKwh","netMeteringGridImportKwh","netMeteringType","refrigerantType","revisedDocumentId","site","startDate","timeOfUse","updated","usage","usageUnits","wasteDescription","wasteStream","wasteType","waterType"],"uniqueKey":"documents.items.[INDEX].usageData.items.[INDEX]","typeLabel":"object"},"description":"List of usage data entries associated with this document.","isRequired":true,"uniqueKey":"documents.items.[INDEX].usageData","typeLabel":"object[]"},"lineItems":{"type":"array","items":{"type":"object","description":"Serializer for all fields of LineItem, used in usage endpoints.","properties":{"rate":{"type":"string","format":"decimal","pattern":"^-?\\d{0,11}(?:\\.\\d{0,11})?$","description":"Rate applied to line item. If flat charge, equal to totalCharge","isRequired":true,"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].rate","typeLabel":"string\u003cdecimal>"},"totalCharge":{"type":"string","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Total charge for the line item","uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].totalCharge","typeLabel":"string\u003cdecimal>"},"description":{"type":"string","description":"Description of line item or service provided","maxLength":200,"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].description","typeLabel":"string"},"quantity":{"type":"string","format":"decimal","pattern":"^-?\\d{0,11}(?:\\.\\d{0,11})?$","description":"Quantity of item or service consumed. Defaults to 1 for flat charge","uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].quantity","typeLabel":"string\u003cdecimal>"},"quantityUnits":{"type":"string","description":"UOM for quantity consumed. Defaults to empty string for flat charge","maxLength":32,"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].quantityUnits","typeLabel":"string"},"multipliers":{"type":"array","items":{"type":"string","format":"decimal","pattern":"^-?\\d{0,11}(?:\\.\\d{0,11})?$","uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].multipliers.items.[INDEX]","typeLabel":"string\u003cdecimal>"},"description":"Multiplier applied to quantity or rate for billing purposes","uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].multipliers","typeLabel":"string\u003cdecimal>[]"},"accountIds":{"type":"array","items":{"type":"string","maxLength":200,"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].accountIds.items.[INDEX]","typeLabel":"string"},"description":"List of account IDs associated with this line item. ","uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].accountIds","typeLabel":"string[]"},"chargeType":{"type":"string","description":"Type of charge. Defaults to CHARGE.\n\n* `TAX` - Tax\n* `CHARGE` - Charge\n* `CREDIT` - Credit\n* `BALANCE` - Balance\n* `PAYMENT` - Payment","enum":["TAX","CHARGE","CREDIT","BALANCE","PAYMENT"],"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].chargeType","typeLabel":"enum\u003cstring>"},"electricityChargeType":{"oneOf":[{"type":"string","description":"Type of electricity charge, one of SUPPLY or DELIVERY. Null if not applicable\n\n* `SUPPLY` - Supply\n* `DELIVERY` - Delivery","enum":["SUPPLY","DELIVERY"],"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].electricityChargeType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","description":"Type of electricity charge, one of SUPPLY or DELIVERY. Null if not applicable\n\n* `SUPPLY` - Supply\n* `DELIVERY` - Delivery","enum":[""],"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].electricityChargeType.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Type of electricity charge, one of SUPPLY or DELIVERY. Null if not applicable\n\n* `SUPPLY` - Supply\n* `DELIVERY` - Delivery","uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].electricityChargeType.oneOf.2","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].electricityChargeType","typeLabel":"enum\u003cstring> · enum\u003cstring> · null"},"electricityIsDemand":{"type":"boolean","description":"Indicates if charge is demand charge (inferred from description). Defaults to False.","uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].electricityIsDemand","typeLabel":"boolean"},"electricityTimeOfUse":{"oneOf":[{"type":"string","description":"Time of use category for electricity charge, e.g. peak or off-peak. Null if not applicable","uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].electricityTimeOfUse.oneOf.0","typeLabel":"string"},{"type":"null","description":"Time of use category for electricity charge, e.g. peak or off-peak. Null if not applicable","uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].electricityTimeOfUse.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].electricityTimeOfUse","typeLabel":"string | null"},"gasChargeType":{"oneOf":[{"type":"string","description":"Type of gas charge, one of SUPPLY or DELIVERY. Null if not applicable\n\n* `SUPPLY` - Supply\n* `DELIVERY` - Delivery","enum":["SUPPLY","DELIVERY"],"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].gasChargeType.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","description":"Type of gas charge, one of SUPPLY or DELIVERY. Null if not applicable\n\n* `SUPPLY` - Supply\n* `DELIVERY` - Delivery","enum":[""],"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].gasChargeType.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Type of gas charge, one of SUPPLY or DELIVERY. Null if not applicable\n\n* `SUPPLY` - Supply\n* `DELIVERY` - Delivery","uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].gasChargeType.oneOf.2","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].gasChargeType","typeLabel":"enum\u003cstring> · enum\u003cstring> · null"},"billingPeriod":{"type":"string","description":"Billing period for the line item, one of CURRENT or AFTERPREVIOUS. Null if not applicable\n\n* `CURRENT` - Current\n* `AFTERPREVIOUS` - Afterprevious","enum":["CURRENT","AFTERPREVIOUS"],"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX].billingPeriod","typeLabel":"enum\u003cstring>"}},"required":["rate"],"uniqueKey":"documents.items.[INDEX].lineItems.items.[INDEX]","typeLabel":"object"},"description":"List of individual line items from the document, such as charges, fees, and taxes.","isRequired":true,"uniqueKey":"documents.items.[INDEX].lineItems","typeLabel":"object[]"},"supersededDocumentIds":{"type":"array","items":{"type":"string","uniqueKey":"documents.items.[INDEX].supersededDocumentIds.items.[INDEX]","typeLabel":"string"},"description":"List of IDs of the documents that this document revises.","isRequired":true,"uniqueKey":"documents.items.[INDEX].supersededDocumentIds","typeLabel":"string[]"},"updated":{"type":"string","format":"date-time","description":"Timestamp when the document was last updated.","uniqueKey":"documents.items.[INDEX].updated","typeLabel":"string\u003cdate-time>"},"fileName":{"oneOf":[{"type":"string","description":"Original name of the file uploaded or downloaded.","uniqueKey":"documents.items.[INDEX].fileName.oneOf.0","typeLabel":"string"},{"type":"null","description":"Original name of the file uploaded or downloaded.","uniqueKey":"documents.items.[INDEX].fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].fileName","typeLabel":"string | null"},"email":{"oneOf":[{"type":"string","format":"email","description":"Email of the user who uploaded or created the document. If uploaded programmatically, this will be the email associated with the API key. Email will show admin@nectarclimate.com if document was scraped by Nectar.","uniqueKey":"documents.items.[INDEX].email.oneOf.0","typeLabel":"string\u003cemail>"},{"type":"null","format":"email","description":"Email of the user who uploaded or created the document. If uploaded programmatically, this will be the email associated with the API key. Email will show admin@nectarclimate.com if document was scraped by Nectar.","uniqueKey":"documents.items.[INDEX].email.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].email","typeLabel":"string\u003cemail> | null"},"jobId":{"oneOf":[{"type":"string","description":"The ID of the job that processed the document.","uniqueKey":"documents.items.[INDEX].jobId.oneOf.0","typeLabel":"string"},{"type":"null","description":"The ID of the job that processed the document.","uniqueKey":"documents.items.[INDEX].jobId.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].jobId","typeLabel":"string | null"},"notes":{"oneOf":[{"type":"string","description":"Additional notes related to the document.","uniqueKey":"documents.items.[INDEX].notes.oneOf.0","typeLabel":"string"},{"type":"null","description":"Additional notes related to the document.","uniqueKey":"documents.items.[INDEX].notes.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].notes","typeLabel":"string | null"},"dueDate":{"oneOf":[{"type":"string","format":"date","description":"Due date from the bill.","uniqueKey":"documents.items.[INDEX].dueDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","description":"Due date from the bill.","uniqueKey":"documents.items.[INDEX].dueDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].dueDate","typeLabel":"string\u003cdate> | null"},"totalCharges":{"type":"string","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"The total charges from the current bill including any overdue charges and penalties. This is often also known as the current closing balance = total due.","uniqueKey":"documents.items.[INDEX].totalCharges","typeLabel":"string\u003cdecimal>"},"sourceType":{"type":"string","description":"Source of the data for this workflow result. Defaults to INVOICE for a regularly billed invoice. Can also be more granular SMART_METER data or MANUAL for manually entered data.\n\n* `INVOICE` - Invoice\n* `SMART_METER` - Smart Meter\n* `MANUAL` - Manual","enum":["INVOICE","SMART_METER","MANUAL"],"uniqueKey":"documents.items.[INDEX].sourceType","typeLabel":"enum\u003cstring>"},"isFlagged":{"type":"boolean","description":"User-managed bookmark for tracking bills. Flagging a bill is for personal organization only — it does not create a data quality issue or affect whether the bill is included in exports.","uniqueKey":"documents.items.[INDEX].isFlagged","typeLabel":"boolean"},"invoiceId":{"oneOf":[{"type":"string","description":"Invoice ID from the bill.","uniqueKey":"documents.items.[INDEX].invoiceId.oneOf.0","typeLabel":"string"},{"type":"null","description":"Invoice ID from the bill.","uniqueKey":"documents.items.[INDEX].invoiceId.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].invoiceId","typeLabel":"string | null"},"previousCloseBalance":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Last bill's total due. Positive number indicates amount owed. For irregular bills or bills without balances, this quantity defaults to 0.","uniqueKey":"documents.items.[INDEX].previousCloseBalance.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Last bill's total due. Positive number indicates amount owed. For irregular bills or bills without balances, this quantity defaults to 0.","uniqueKey":"documents.items.[INDEX].previousCloseBalance.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].previousCloseBalance","typeLabel":"string\u003cdecimal> | null"},"afterPreviousTotalPayment":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Payments made between last bill invoice date and this bill invoice date. Should always be 0 or negative. For irregular bills or bills without payments, this quantity defaults to 0.","uniqueKey":"documents.items.[INDEX].afterPreviousTotalPayment.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Payments made between last bill invoice date and this bill invoice date. Should always be 0 or negative. For irregular bills or bills without payments, this quantity defaults to 0.","uniqueKey":"documents.items.[INDEX].afterPreviousTotalPayment.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].afterPreviousTotalPayment","typeLabel":"string\u003cdecimal> | null"},"afterPreviousCharges":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Charges between previous close and current open, e.g. interest charges. Positive number indicates amount owed. For irregular bills or bills without charges, this quantity defaults to 0.","uniqueKey":"documents.items.[INDEX].afterPreviousCharges.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Charges between previous close and current open, e.g. interest charges. Positive number indicates amount owed. For irregular bills or bills without charges, this quantity defaults to 0.","uniqueKey":"documents.items.[INDEX].afterPreviousCharges.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].afterPreviousCharges","typeLabel":"string\u003cdecimal> | null"},"afterPreviousCredits":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Credits (besides payments) applied before open balance. Should always be \u003c= 0. For irregular bills or bills without credits, this quantity defaults to 0. Credits are always recorded as negative values.","uniqueKey":"documents.items.[INDEX].afterPreviousCredits.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Credits (besides payments) applied before open balance. Should always be \u003c= 0. For irregular bills or bills without credits, this quantity defaults to 0. Credits are always recorded as negative values.","uniqueKey":"documents.items.[INDEX].afterPreviousCredits.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].afterPreviousCredits","typeLabel":"string\u003cdecimal> | null"},"currentOpenBalance":{"type":"string","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Opening balance on this bill, equal to previousCloseBalance + afterPreviousTotalPayment + afterPreviousCharges + afterPreviousCredits.","uniqueKey":"documents.items.[INDEX].currentOpenBalance","typeLabel":"string\u003cdecimal>"},"currentCharges":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Sum of new charges at meter and bill level, excluding tax. Positive number indicates amount owed.","uniqueKey":"documents.items.[INDEX].currentCharges.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Sum of new charges at meter and bill level, excluding tax. Positive number indicates amount owed.","uniqueKey":"documents.items.[INDEX].currentCharges.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].currentCharges","typeLabel":"string\u003cdecimal> | null"},"credits":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Sum of credited charges at meter and bill level. Should always be \u003c= 0.","uniqueKey":"documents.items.[INDEX].credits.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Sum of credited charges at meter and bill level. Should always be \u003c= 0.","uniqueKey":"documents.items.[INDEX].credits.oneOf.1","typeLabel":"null"}],"uniqueKey":"documents.items.[INDEX].credits","typeLabel":"string\u003cdecimal> | null"},"taxCharges":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,18}(?:\\.\\d{0,2})?$","description":"Sum of tax charges at meter and bill level. This includes various types of taxes such as
[...]
